Name:           perl-AI-DecisionTree
Version:        0.11
Release:        3%{?dist}
Summary:        Automatically Learns Decision Trees

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/AI-DecisionTree/

Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/AI-DecisionTree-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GraphViz)
BuildRequires:  perl(Test::More)

Requires:       perl(GraphViz)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
The AI::DecisionTree module automatically creates so-called "decision
trees" to explain a set of training data. A decision tree is a kind of
categorizer that use a flowchart-like process for categorizing new
instances. For instance, a learned decision tree might look like the
following, which classifies for the concept "play tennis":


%prep
%setup -q -n AI-DecisionTree-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes dist.ini eg LICENSE README
%{perl_vendorarch}/auto/AI
%{perl_vendorarch}/AI
%{_mandir}/man3/AI::DecisionTree*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 10 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.11-2
- Fix issues based on Michael's review feedback:
  - The Instance folder shouldn't be installed as %%doc (or at all)
  - Properly own the installed directories

* Mon Aug 20 2012 Mathieu Bridon <bochecha@fedoraproject.org> 0.11-1
- Initial package for Fedora, with help from cpanspec.
